=== debian/control ===
Source: kernel-image-2.4.18-1-i386
Section: devel
Priority: optional
Maintainer: Herbert Xu <herbert@debian.org>
Standards-Version: 3.5.6
Build-Depends: debhelper (>= 2), modutils, kernel-source-2.4.18 (>= 2.4.18-14.4), kernel-package (>= 7.95)

Package: kernel-headers-2.4.18-1
Architecture: i386
Section: devel
Priority: optional
Depends: fileutils (>= 4.0)
Provides: kernel-headers, kernel-headers-2.4
Description: Header files related to Linux kernel version 2.4.18
 This package provides kernel header files for version 2.4.18, for sites 
 that want the latest kernel headers. Please read
 /usr/share/doc/kernel-headers-2.4.18-1/debian.README.gz for details

Package: kernel-headers-2.4.18-1-586tsc
Architecture: i386
Section: devel
Priority: optional
Depends: fileutils (>= 4.0)
Provides: kernel-headers, kernel-headers-2.4
Description: Headers for Linux kernel version 2.4.18 on Pentium-Classic
 This package provides kernel header files for version 2.4.18 on
 Pentium-Classic, for sites that want the latest kernel headers. Please read
 /usr/share/doc/kernel-headers-2.4.18-1-586tsc/debian.README.gz for details

Package: kernel-image-2.4.18-1-586tsc
Architecture: i386
Section: base
Priority: optional
Provides: kernel-image,  kernel-image-2.4
Depends: initrd-tools (>= 0.1.21), fileutils (>= 4.0), modutils (>= 2.3.12)
Suggests: lilo (>= 19.1),  fdutils, kernel-doc-2.4.18, kernel-pcmcia-modules-2.4.18-1-586tsc | pcmcia-modules-2.4.18-1-586tsc
Description: Linux kernel image for version 2.4.18 on Pentium-Classic.
 This package contains the Linux kernel image for version 2.4.18 on
 Pentium-Classic, the corresponding System.map file, and the modules built by
 the packager.  It also contains scripts that try to ensure that the
 system is not left in a unbootable state after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.

Package: kernel-headers-2.4.18-1-386
Architecture: i386
Section: devel
Priority: optional
Depends: fileutils (>= 4.0)
Provides: kernel-headers, kernel-headers-2.4
Description: Headers for Linux kernel version 2.4.18 on 386
 This package provides kernel header files for version 2.4.18 on 386, for sites
 that want the latest kernel headers.  Please read
 /usr/share/doc/kernel-headers-2.4.18-1-386/debian.README.gz for details

Package: kernel-image-2.4.18-1-386
Architecture: i386
Section: base
Priority: optional
Provides: kernel-image,  kernel-image-2.4
Depends: initrd-tools (>= 0.1.21), fileutils (>= 4.0), modutils (>= 2.3.12)
Suggests: lilo (>= 19.1),  fdutils, kernel-doc-2.4.18, kernel-pcmcia-modules-2.4.18-1-386 | pcmcia-modules-2.4.18-1-386
Description: Linux kernel image for version 2.4.18 on 386.
 This package contains the Linux kernel image for version 2.4.18 on 386, the
 corresponding System.map file, and the modules built by the packager.  It also
 contains scripts that try to ensure that the system is not left in a
 unbootable state after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.

Package: kernel-headers-2.4.18-1-686
Architecture: i386
Section: devel
Priority: optional
Depends: fileutils (>= 4.0)
Provides: kernel-headers, kernel-headers-2.4
Description: Linux kernel headers 2.4.18 on PPro/Celeron/PII/PIII/PIV
 This package provides kernel header files for version 2.4.18 on
 Pentium Pro/Celeron/Pentium II/Pentium III/Pentium IV, for sites that want the
 latest kernel headers.  Please read
 /usr/share/doc/kernel-headers-2.4.18-1-686/debian.README.gz for details

Package: kernel-image-2.4.18-1-686
Architecture: i386
Section: base
Priority: optional
Provides: kernel-image,  kernel-image-2.4
Depends: initrd-tools (>= 0.1.21), fileutils (>= 4.0), modutils (>= 2.3.12)
Suggests: lilo (>= 19.1),  fdutils, kernel-doc-2.4.18, kernel-pcmcia-modules-2.4.18-1-686 | pcmcia-modules-2.4.18-1-686
Description: Linux kernel image 2.4.18 on PPro/Celeron/PII/PIII/PIV.
 This package contains the Linux kernel image for version 2.4.18 on
 Pentium Pro/Celeron/Pentium II/Pentium III/Pentium IV, the corresponding
 System.map file, and the modules built by the packager.  It also contains
 scripts that try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.

Package: kernel-headers-2.4.18-1-686-smp
Architecture: i386
Section: devel
Priority: optional
Depends: fileutils (>= 4.0)
Provides: kernel-headers, kernel-headers-2.4
Description: Linux kernel headers 2.4.18 on PPro/Celeron/PII/PIII/PIV SMP
 This package provides kernel header files for version 2.4.18 on
 Pentium Pro/Celeron/Pentium II/Pentium III/Pentium IV with SMP support, for
 sites that want the latest kernel headers.  Please read
 /usr/share/doc/kernel-headers-2.4.18-1-686-smp/debian.README.gz for details

Package: kernel-image-2.4.18-1-686-smp
Architecture: i386
Section: base
Priority: optional
Provides: kernel-image,  kernel-image-2.4
Depends: initrd-tools (>= 0.1.21), fileutils (>= 4.0), modutils (>= 2.3.12)
Suggests: lilo (>= 19.1),  fdutils, kernel-doc-2.4.18, kernel-pcmcia-modules-2.4.18-1-686-smp | pcmcia-modules-2.4.18-1-686-smp
Description: Linux kernel image 2.4.18 on PPro/Celeron/PII/PIII/PIV SMP.
 This package contains the Linux kernel image for version 2.4.18 on
 Pentium Pro/Celeron/Pentium II/Pentium III/Pentium IV with SMP support, the
 corresponding System.map file, and the modules built by the packager.  It also
 contains scripts that try to ensure that the system is not left in a
 unbootable state after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.

Package: kernel-headers-2.4.18-1-k6
Architecture: i386
Section: devel
Priority: optional
Depends: fileutils (>= 4.0)
Provides: kernel-headers, kernel-headers-2.4
Description: Headers for Linux kernel version 2.4.18 on AMD K6/K6-II/K6-III
 This package provides kernel header files for version 2.4.18 on
 AMD K6/K6-II/K6-III, for sites that want the latest kernel headers.  Please
 read /usr/share/doc/kernel-headers-2.4.18-1-k6/debian.README.gz for details

Package: kernel-image-2.4.18-1-k6
Architecture: i386
Section: base
Priority: optional
Provides: kernel-image,  kernel-image-2.4
Depends: initrd-tools (>= 0.1.21), fileutils (>= 4.0), modutils (>= 2.3.12)
Suggests: lilo (>= 19.1),  fdutils, kernel-doc-2.4.18, kernel-pcmcia-modules-2.4.18-1-k6 | pcmcia-modules-2.4.18-1-k6
Description: Linux kernel image for version 2.4.18 on AMD K6/K6-II/K6-III
 This package contains the Linux kernel image for version 2.4.18 on
 AMD K6/K6-II/K6-III, the corresponding System.map file, and the modules built
 by the packager.  It also contains scripts that try to ensure that the system
 is not left in a unbootable state after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.

Package: kernel-headers-2.4.18-1-k7
Architecture: i386
Section: devel
Priority: optional
Depends: fileutils (>= 4.0)
Provides: kernel-headers, kernel-headers-2.4
Description: Headers for Linux kernel version 2.4.18 on AMD K7
 This package provides kernel header files for version 2.4.18 on
 AMD Duron/Athlon, for sites that want the latest kernel headers.  Please read
 /usr/share/doc/kernel-headers-2.4.18-1-k6/debian.README.gz for details

Package: kernel-image-2.4.18-1-k7
Architecture: i386
Section: base
Priority: optional
Provides: kernel-image,  kernel-image-2.4
Depends: initrd-tools (>= 0.1.21), fileutils (>= 4.0), modutils (>= 2.3.12)
Suggests: lilo (>= 19.1),  fdutils, kernel-doc-2.4.18, kernel-pcmcia-modules-2.4.18-1-k7 | pcmcia-modules-2.4.18-1-k7
Description: Linux kernel image for version 2.4.18 on AMD K7
 This package contains the Linux kernel image for version 2.4.18 on
 AMD Duron/Athlon, the corresponding System.map file, and the modules built by
 the packager.  It also contains scripts that try to ensure that the system is
 not left in a unbootable state after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.

Package: kernel-pcmcia-modules-2.4.18-1-386
Architecture: i386
Section: base
Priority: optional
Provides: pcmcia-modules
Depends: kernel-image-2.4.18-1-386, modutils (>= 2.3.12)
Recommends: pcmcia-cs
Conflicts: pcmcia-modules-2.4.18-1-386
Replaces: pcmcia-modules-2.4.18-1-386
Description: Mainstream PCMCIA modules 2.4.18 on 386.
 This package contains the PCMCIA modules compiled for version 2.4.18 on 386.
 These modules come from the upstream kernel source, as opposed to pcmcia-cs.
 They may or may not work better than their counter parts in pcmcia-cs.
 .
 The utilities in the pcmcia-cs package are required to use these modules.

Package: kernel-pcmcia-modules-2.4.18-1-586tsc
Architecture: i386
Section: base
Priority: optional
Provides: pcmcia-modules
Depends: kernel-image-2.4.18-1-586tsc, modutils (>= 2.3.12)
Recommends: pcmcia-cs
Conflicts: pcmcia-modules-2.4.18-1-586tsc
Replaces: pcmcia-modules-2.4.18-1-586tsc
Description: Mainstream PCMCIA modules 2.4.18 on Pentium-Classic.
 This package contains the PCMCIA modules compiled for version 2.4.18 on
 Pentium-Classic.  These modules come from the upstream kernel source, as
 opposed to pcmcia-cs.  They may or may not work better than their counter
 parts in pcmcia-cs.
 .
 The utilities in the pcmcia-cs package are required to use these modules.

Package: kernel-pcmcia-modules-2.4.18-1-686
Architecture: i386
Section: base
Priority: optional
Provides: pcmcia-modules
Depends: kernel-image-2.4.18-1-686, modutils (>= 2.3.12)
Recommends: pcmcia-cs
Conflicts: pcmcia-modules-2.4.18-1-686
Replaces: pcmcia-modules-2.4.18-1-686
Description: Mainstream PCMCIA modules 2.4.18 on PPro/Celeron/PII/PIII/PIV.
